> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/envelope-details.md).

# Envelope Details

## POST /api/Public/GetEnvelopeDetails/GetEnvelopeDetails

> Envelope details

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetEnvelopeDetails"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.GetEnvelopeDetailsRequestDto":{"required":["status","workflowId"],"type":"object","properties":{"workflowId":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"status":{"minLength":1,"pattern":"^(pending|completed|declined|recalled|all)$","type":"string"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"documentNumber":{"type":"string","nullable":true},"originatorId":{"type":"string","nullable":true},"nextSignatoryName":{"type":"string","nullable":true},"nextSignatoryId":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"category":{"type":"string","nullable":true},"commentCount":{"type":"integer","format":"int32"},"attachmentCount":{"type":"integer","format":"int32"},"documentList":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentListItem"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentListItem":{"type":"object","properties":{"documentName":{"type":"string","nullable":true},"docuemntId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/GetEnvelopeDetails/GetEnvelopeDetails":{"post":{"tags":["GetEnvelopeDetails"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.GetEnvelopeDetailsRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.EnvelopeDetailsResponse, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Envelope details","operationId":"post_GetEnvelopeDetails_GetEnvelopeDetails"}}}}
```
